30代無職のロズ雑記

30代無職で高卒ニートの職歴なし絶望的人生。社会不適合者で真面目系のクズです。そんな人生をエンターニートで逆転するブログ。最近はグルメリポートが中心で田園都市線沿いの美味しいお店をご紹介しちゃってます。

ptengine

Eclipse

MACにEclipseを導入② Javaのバージョンを最新版へ

2016/09/06

前回、書いた記事の続きだ!Eclipseがダウンロードできていても下記のように表示されるはずだ!

Eclipseエラー②

これは、JVMのバージョンが1.7以上でないと動かないよということである。
なので今回は、JVMに最新バージョンを導入する。

1. javaの最新バージョンをインストール

こちらからOracleのJDKダウンロードページに行く。
下記のダウンロードボタン?を選択。

JDKダウンロード①

下記のページに飛ぶはずだ!そしたら、Accept License Agreementを選択し
Mac OS X欄にあるjdk-8u77-maco~リンクを選択し、ダウンロード開始だ!

java最新ダウンロード②

ダウンロードファイルを選択!

スクリーンショット 2016-04-17 19.58.12

インストール開始画面が表示されるはずだ!
ダンボールのアイコン?をダブルクリックだ!

スクリーンショット 2016-04-17 19.58.52

「続ける」を選択!

最新javaインストール①

「インストール」を選択!

最新javaインストール②

「閉じる」を選択!以上でインストール完了だ!

最新javaインストール③

改めて、javaのバージョンをターミナルから確認しよう!

/usr/libexec/java_home -V

下記とおり表示されるはずだ!

Matching Java Virtual Machines (3):
    1.8.0_77, x86_64:	"Java SE 8"	/Library/Java/JavaVirtualMachines/jdk1.8.0_77.jdk/Contents/Home
    1.6.0_65-b14-468, x86_64:	"Java SE 6"	/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
    1.6.0_65-b14-468, i386:	"Java SE 6"	/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home

/Library/Java/JavaVirtualMachines/jdk1.8.0_77.jdk/Contents/Home

 

これで、Eclipseを起動してみよう!
動いたらこれで、Eclipseの起動はOKだ!

次回は、Eclipseの日本語化だ!これが終わればEclipseの導入が完了だぞ!

エセアカ腹

今回、導入する上で参考にしたURL

http://qiita.com/ryo0301/items/3c9a02e03b4e9a41f576
https://teratail.com/questions/18524
http://asklife.info/archives/4452
http://developers.flexagent.co.jp/2015/05/03/mac版eclipseでphp開発-前編/

-Eclipse